/***********************************************************
 * Copyright 2010 Adobe Systems Incorporated.  All Rights Reserved.
 *
 * *********************************************************
 * The contents of this file are subject to the Berkeley Software Distribution (BSD) Licence
 * (the "License"); you may not use this file except in
 * compliance with the License. 
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
 * License for the specific language governing rights and limitations
 * under the License.
 *
 *
 * The Initial Developer of the Original Code is Adobe Systems Incorporated.
 * Portions created by Adobe Systems Incorporated are Copyright (C) 2010 Adobe Systems
 * Incorporated. All Rights Reserved.
 **********************************************************/

package org.osmf.player.chrome.assets
{
	public class AssetIDs
	{
		/* static */
		
		public static const DEFAULT_FONT:String = "defaultFont";
		public static const DEFAULT_FONT_BOLD:String = "defaultFontBold";
		
		public static const CONTROL_BAR_BACKDROP:String = "controlBarBackdrop";
		public static const CONTROL_BAR_BACKDROP_LEFT:String = "controlBarBackdropLeft";
		public static const CONTROL_BAR_BACKDROP_RIGHT:String = "controlBarBackdropRight";
		
		public static const SCRUB_BAR_TRACK:String = "scrubBarTrack";
		public static const SCRUB_BAR_TRACK_LEFT:String = "scrubBarTrackLeft";
		public static const SCRUB_BAR_TRACK_RIGHT:String = "scrubBarTrackRight";
		public static const SCRUB_BAR_LOADED_TRACK:String = "scrubBarLoadedTrack";
		public static const SCRUB_BAR_LOADED_TRACK_END:String = "scrubBarLoadedTrackEnd";
		public static const SCRUB_BAR_PLAYED_TRACK:String = "scrubBarPlayedTrack";
		public static const SCRUB_BAR_PLAYED_TRACK_SEEKING:String = "scrubBarPlayedTrackSeeking";
		public static const SCRUB_BAR_DVR_LIVE_TRACK:String = "scrubBarDVRLiveTrack";
		public static const SCRUB_BAR_DVR_LIVE_INACTIVE_TRACK:String = "scrubBarDVRLiveInactiveTrack";
		public static const SCRUB_BAR_LIVE_ONLY_TRACK:String = "scrubBarLiveOnlyTrack";
		public static const SCRUB_BAR_LIVE_ONLY_INACTIVE_TRACK:String = "scrubBarLiveOnlyInactiveTrack";
		public static const SCRUB_BAR_SCRUBBER_NORMAL:String = "scrubBarScrubberNormal";
		public static const SCRUB_BAR_SCRUBBER_DOWN:String = "scrubBarScrubberDown";
		public static const SCRUB_BAR_SCRUBBER_OVER:String = "scrubBarScrubberOver";
		public static const SCRUB_BAR_SCRUBBER_DISABLED:String = "scrubBarScrubberDisabled";
		public static const SCRUB_BAR_TIME_HINT:String = "scrubBarTimeHint";
		
		public static const BACK_BUTTON_NORMAL:String = "backButtonNormal";
		public static const BACK_BUTTON_DOWN:String = "backButtonDown";
		public static const BACK_BUTTON_OVER:String = "backButtonOver";
		
		public static const PLAY_BUTTON_NORMAL:String = "playButtonNormal";
		public static const PLAY_BUTTON_DOWN:String = "playButtonDown";
		public static const PLAY_BUTTON_OVER:String = "playButtonOver";
		
		public static const PLAY_BUTTON_OVERLAY_NORMAL:String = "playButtonOverlayNormal";
		public static const PLAY_BUTTON_OVERLAY_DOWN:String = "playButtonOverlayDown";
		public static const PLAY_BUTTON_OVERLAY_OVER:String = "playButtonOverlayOver";
		
		public static const PAUSE_BUTTON_NORMAL:String = "pauseButtonNormal";
		public static const PAUSE_BUTTON_DOWN:String = "pauseButtonDown";
		public static const PAUSE_BUTTON_OVER:String = "pauseButtonOver";
		
		public static const VOLUME_BUTTON_NORMAL:String = "volumeButtonNormal";
		public static const VOLUME_BUTTON_DOWN:String = "volumeButtonDown";
		public static const VOLUME_BUTTON_OVER:String = "volumeButtonOver";
		
		public static const VOLUME_BUTTON_LOW_NORMAL:String = "volumeButtonLowNormal";
		public static const VOLUME_BUTTON_LOW_DOWN:String = "volumeButtonLowDown";
		public static const VOLUME_BUTTON_LOW_OVER:String = "volumeButtonLowOver";
		
		public static const VOLUME_BUTTON_MED_NORMAL:String = "volumeButtonMedNormal";
		public static const VOLUME_BUTTON_MED_DOWN:String = "volumeButtonMedDown";
		public static const VOLUME_BUTTON_MED_OVER:String = "volumeButtonMedOver";
		
		public static const VOLUME_BUTTON_HIGH_NORMAL:String = "volumeButtonHighNormal";
		public static const VOLUME_BUTTON_HIGH_DOWN:String = "volumeButtonHighDown";
		public static const VOLUME_BUTTON_HIGH_OVER:String = "volumeButtonHighOver";
		
		public static const UNMUTE_BUTTON_NORMAL:String = "unmuteButtonNormal";
		public static const UNMUTE_BUTTON_DOWN:String = "unmuteButtonDown";
		public static const UNMUTE_BUTTON_OVER:String = "unmuteButtonOver";
		
		public static const VOLUME_BAR_BACKDROP:String = "volumeBarBackdrop";
		public static const VOLUME_BAR_TRACK:String = "volumeBarTrack";
		public static const VOLUME_BAR_TRACK_END:String = "volumeBarTrackEnd";
		
		public static const VOLUME_BAR_SLIDER_NORMAL:String = "volumeBarSliderNormal";
		public static const VOLUME_BAR_SLIDER_DOWN:String = "volumeBarSliderDown";
		public static const VOLUME_BAR_SLIDER_OVER:String = "volumeBarSliderOver";
		
		public static const VOLUME_BAR_BUTTON_HIGHLIGHT:String = "volumeBarButtonHighlight";
		public static const VOLUME_BAR_BUTTON_SEPARATOR:String = "volumeBarSeparator";
		
		public static const FULL_SCREEN_ENTER_NORMAL:String = "fullScreenEnterButtonNormal";
		public static const FULL_SCREEN_ENTER_DOWN:String = "fullScreenEnterButtonDown";
		public static const FULL_SCREEN_ENTER_OVER:String = "fullScreenEnterButtonOver";
		
		public static const FULL_SCREEN_LEAVE_NORMAL:String = "fullScreenLeaveButtonNormal";
		public static const FULL_SCREEN_LEAVE_DOWN:String = "fullScreenLeaveButtonDown";
		public static const FULL_SCREEN_LEAVE_OVER:String = "fullScreenLeaveButtonOver";
		
		public static const HD_ON:String = "hdOn";
		public static const HD_OFF:String = "hdOff";
		
		public static const PREVIOUS_BUTTON_NORMAL:String = "previousButtonNormal";
		public static const PREVIOUS_BUTTON_DOWN:String = "previousButtonDown";
		public static const PREVIOUS_BUTTON_OVER:String = "previousButtonOver";
		public static const PREVIOUS_BUTTON_DISABLED:String = "previousButtonDisabled";
		
		public static const NEXT_BUTTON_NORMAL:String = "nextButtonNormal";
		public static const NEXT_BUTTON_DOWN:String = "nextButtonDown";
		public static const NEXT_BUTTON_OVER:String = "nextButtonOver";
		public static const NEXT_BUTTON_DISABLED:String = "nextButtonDisabled";
		
		public static const AUTH_BACKDROP:String = "authBackdrop";
		public static const AUTH_WARNING:String = "authWarning";
		public static const AUTH_SUBMIT_BUTTON_NORMAL:String = "authSubmitButtonNormal";
		public static const AUTH_SUBMIT_BUTTON_DOWN:String = "authSubmitButtonDown";
		public static const AUTH_SUBMIT_BUTTON_OVER:String = "authSubmitButtonOver";
		public static const AUTH_CANCEL_BUTTON_NORMAL:String = "authCancelButtonNormal";
		public static const AUTH_CANCEL_BUTTON_DOWN:String = "authCancelButtonDown";
		public static const AUTH_CANCEL_BUTTON_OVER:String = "authCancelButtonOver";
		
		public static const BUFFERING_OVERLAY:String = "bufferingOverlay";
		
		public static const BUTTON_SEPARATOR:String = "buttonSeparator";
		
		public static const BUTTON_HIGHLIGHT:String = "buttonHighlight";
	}
}