/*****************************************************
*  
*  Copyright 2009 Akamai Technologies, Inc.  All Rights Reserved.
*  
*****************************************************
*  The contents of this file are subject to the Mozilla Public License
*  Version 1.1_the "License"); you may not use this file except in
*  compliance with the License. You may obtain a copy of the License at
*  http://www.mozilla.org/MPL/
*   
*  Software distributed under the License is distributed on an "AS IS"
*  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
*  License for the specific language governing rights and limitations
*  under the License.
*   
*  
*  The Initial Developer of the Original Code is Akamai Technologies, Inc.
*  Portions created by Akamai Technologies, Inc. are Copyright_C) 2009 Akamai 
*  Technologies, Inc. All Rights Reserved. 
*  
*****************************************************/
package org.osmf.syndication.model.rss20
{
	/**
	 * Language codes as defined here: http://cyber.law.harvard.edu/rss/languages.html
	 */
	public class RSSLanguageCodes
	{
		public static const AFRIKAANS:String = "af";
		public static const ALBANIAN:String = "sq"; 
		public static const BASQUE:String = "eu";
		public static const BELARUSIAN:String = "be";
		public static const BULGARIAN:String = "bg";
		public static const CATALAN:String = "ca";
		public static const CHINESE_SIMPLIFIED:String = "zh-cn";
		public static const CHINESE_TRADITIONAL:String = "zh-tw";
		public static const CROATIAN:String = "hr";
		public static const CZECH:String = "cs";
		public static const DANISH:String = "da";
		public static const DUTCH:String = "nl";
		public static const DUTCH_BELGIUM:String = "nl-be";
		public static const DUTCH_NETHERLANDS:String = "nl-nl";
		public static const ENGLISH:String = "en";
		public static const ENGLISH_AUSTRALIA:String = "en-au";
		public static const ENGLISH_BELIZE:String = "en-bz";
		public static const ENGLISH_CANADA:String = "en-ca";
		public static const ENGLISH_IRELAND:String = "en-ie";
		public static const ENGLISH_JAMAICA:String = "en-jm";
		public static const ENGLISH_NEW_ZEALAND:String = "en-nz";
		public static const ENGLISH_PHILLIPINES:String = "en-ph";
		public static const ENGLISH_SOUTH_AFRICA:String = "en-za";
		public static const ENGLISH_TRINIDAD:String = "en-tt";
		public static const ENGLISH_UNITED_KINGDOM:String = "en-gb";
		public static const ENGLISH_UNITED_STATES:String = "en-us";
		public static const ENGLISH_ZIMBABWE:String = "en-zw";
		public static const ESTONIAN:String = " et";
		public static const FAEROESE:String = "fo";
		public static const FINNISH:String = "fi";
		public static const FRENCH:String = "fr";
		public static const FRENCH_BELGIUM:String = "fr-be";
		public static const FRENCH_CANADA:String = "fr-ca";
		public static const FRENCH_FRANCE:String = "fr-fr";
		public static const FRENCH_LUXEMBOURG:String = "fr-lu";
		public static const FRENCH_MONACO:String = "fr-mc";
		public static const FRENCH_SWITZERLAND:String = "fr-ch";
		public static const GALICIAN:String = "gl";
		public static const GAELIC:String = "gd";
		public static const GERMAN:String = "de";
		public static const GERMAN_AUSTRIA:String = "de-at";
		public static const GERMAN_GERMANY:String = "de-de";
		public static const GERMAN_LIECHTENSTEIN:String = "de-li";
		public static const GERMAN_LUXEMBOURG:String = "de-lu";
		public static const GERMAN_SWITZERLAND:String = "de-ch";
		public static const GREEK:String = "el";
		public static const HAWAIIAN:String = "haw";
		public static const HUNGARIAN:String = "hu";
		public static const ICELANDIC:String = "is";
		public static const INDONESIAN:String = "in";
		public static const IRISH:String = "ga";
		public static const ITALIAN:String = "it";
		public static const ITALIAN_ITALY:String = "it-it";
		public static const ITALIAN_SWITZERLAND:String = "it-ch";
		public static const JAPANESE:String = "ja";
		public static const KOREAN:String = "ko";
		public static const MACEDONIAN:String = "mk";
		public static const NORWEGIAN:String = "no";
		public static const POLISH:String = "pl";
		public static const PORTUGUESE:String = "pt";
		public static const PORTUGUESE_BRAZIL:String = "pt-br";
		public static const PORTUGUESE_PORTUGAL:String = "pt-pt";
		public static const ROMANIAN:String = "ro";
		public static const ROMANIAN_MOLDOVA:String = "ro-mo";
		public static const ROMANIAN_ROMANIA:String = "ro-ro";
		public static const RUSSIAN:String = "ru";
		public static const RUSSIAN_MOLDOVA:String = "ru-mo";
		public static const RUSSIAN_RUSSIA:String = "ru-ru";
		public static const SERBIAN:String = "sr";
		public static const SLOVAK:String = "sk";
		public static const SLOVENIAN:String = "sl";
		public static const SPANISH:String = "es";
		public static const SPANISH_ARGENTINA:String = "es-ar";
		public static const SPANISH_BOLIVIA:String = "es-bo";
		public static const SPANISH_CHILE:String = "es-cl";
		public static const SPANISH_COLOMBIA:String = "es-co";
		public static const SPANISH_COSTA_RICA:String = "es-cr";
		public static const SPANISH_DOMINICAN_REPUBLIC:String = "es-do";
		public static const SPANISH_ECUADOR:String = "es-ec";
		public static const SPANISH_EL_SALVADOR:String = "es-sv";
		public static const SPANISH_GUATEMALA:String = "es-gt";
		public static const SPANISH_HONDURAS:String = "es-hn";
		public static const SPANISH_MEXICO:String = "es-mx";
		public static const SPANISH_NICARAGUA:String = "es-ni";
		public static const SPANISH_PANAMA:String = "es-pa";
		public static const SPANISH_PARAGUAY:String = "es-py";
		public static const SPANISH_PERU:String = "es-pe";
		public static const SPANISH_PUERTO_RICO:String = "es-pr";
		public static const SPANISH_SPAIN:String = "es-es";
		public static const SPANISH_URUGUAY:String = "es-uy";
		public static const SPANISH_VENEZUELA:String = "es-ve";
		public static const SWEDISH:String = "sv";
		public static const SWEDISH_FINLAND:String = "sv-fi";
		public static const SWEDISH_SWEDEN:String = "sv-se";
		public static const TURKISH:String = "tr";
		public static const UKRANIAN:String = "uk";		
	}
}
